---
# Install some AE-DIR script tools and documentation files

- name: "Create client config file {{ aedir_etc }}/ldap.conf from template"
  template:
    src: "ldap.conf.j2"
    dest: "{{ aedir_etc }}/ldap.conf"
    owner: root
    group: root
    mode: 0o0644
  notify:
    - "restart {{ openldap_service_name }}"

- name: "Create logging config file {{ aedir_etc }}/ae-logging.conf from template"
  template:
    src: "{{ aedir_logging_conf }}"
    dest: "{{ aedir_etc }}/ae-logging.conf"
    owner: root
    group: root
    mode: 0o0644
  notify:
    - "restart ae-dir-pwd"
    - "restart oathenroll"
    - "restart {{ oath_bind_listener }}"
    - "restart web2ldap"
    - "restart pwsync"

- name: "install CA cert for SMTP/STARTTLS to {{ smtp_cacert_pathname }}"
  copy:
    src: "{{ smtp_cacert_filename }}"
    dest: "{{ smtp_cacert_pathname }}"
    follow: no
    owner: root
    group: root
    mode: u=rw,g=r,o=r
    directory_mode: u=rwx,g=rx,o=rx

- name: "Install replica reset script"
  template:
    src: "scripts/ae-dir-replica-reset.sh.j2"
    dest: "{{ aedir_sbin }}/ae-dir-replica-reset.sh"
    owner: root
    group: root
    mode: 0o0750

- name: "Install database ownership/permissions fixup script"
  template:
    src: "scripts/ae-dir-fix-db-permissions.sh.j2"
    dest: "{{ aedir_sbin }}/ae-dir-fix-db-permissions.sh"
    owner: root
    group: root
    mode: 0o0750

- name: "Create /etc/profile.d/ae-dir.sh"
  template:
    src: "templates/profile-ae-dir.sh.j2"
    dest: "/etc/profile.d/ae-dir.sh"
    owner: root
    group: root
    mode: 0o0644
